Bug 1415435 - [abrt] alsa-utils: free_list(): alsactl killed by SIGSEGV
Summary: [abrt] alsa-utils: free_list(): alsactl killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-utils
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f91a7d0b6be0ff1b8673441db2d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-22 00:31 UTC by Michal Smolak
Modified: 2017-12-12 10:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:48:27 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (4.38 KB, text/plain)
2017-01-22 00:31 UTC, Michal Smolak
no flags Details
File: cgroup (241 bytes, text/plain)
2017-01-22 00:31 UTC, Michal Smolak
no flags Details
File: core_backtrace (1.29 KB, text/plain)
2017-01-22 00:31 UTC, Michal Smolak
no flags Details
File: dso_list (632 bytes, text/plain)
2017-01-22 00:31 UTC, Michal Smolak
no flags Details
File: environ (94 bytes, text/plain)
2017-01-22 00:31 UTC, Michal Smolak
no flags Details
File: exploitable (95 bytes, text/plain)
2017-01-22 00:31 UTC, Michal Smolak
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-22 00:31 UTC, Michal Smolak
no flags Details
File: maps (3.51 KB, text/plain)
2017-01-22 00:31 UTC, Michal Smolak
no flags Details
File: mountinfo (3.54 KB, text/plain)
2017-01-22 00:31 UTC, Michal Smolak
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-22 00:31 UTC, Michal Smolak
no flags Details
File: open_fds (186 bytes, text/plain)
2017-01-22 00:31 UTC, Michal Smolak
no flags Details
File: proc_pid_status (1.06 KB, text/plain)
2017-01-22 00:31 UTC, Michal Smolak
no flags Details
File: var_log_messages (285 bytes, text/plain)
2017-01-22 00:31 UTC, Michal Smolak
no flags Details

Description Michal Smolak 2017-01-22 00:31:21 UTC
Description of problem:
after login

Version-Release number of selected component:
alsa-utils-1.1.1-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/sbin/alsactl -s -n 19 -c -E ALSA_CONFIG_PATH=/etc/alsa/alsactl.conf --initfile=/lib/alsa/init/00main rdaemon
crash_function: free_list
executable:     /usr/sbin/alsactl
global_pid:     979
kernel:         4.9.4-201.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 free_list at daemon.c:74
 #1 card_free at daemon.c:83
 #2 state_daemon at daemon.c:455

Potential duplicate: bug 1018513

Comment 1 Michal Smolak 2017-01-22 00:31:25 UTC
Created attachment 1243241 [details]
File: backtrace

Comment 2 Michal Smolak 2017-01-22 00:31:27 UTC
Created attachment 1243242 [details]
File: cgroup

Comment 3 Michal Smolak 2017-01-22 00:31:28 UTC
Created attachment 1243243 [details]
File: core_backtrace

Comment 4 Michal Smolak 2017-01-22 00:31:29 UTC
Created attachment 1243244 [details]
File: dso_list

Comment 5 Michal Smolak 2017-01-22 00:31:30 UTC
Created attachment 1243245 [details]
File: environ

Comment 6 Michal Smolak 2017-01-22 00:31:31 UTC
Created attachment 1243246 [details]
File: exploitable

Comment 7 Michal Smolak 2017-01-22 00:31:32 UTC
Created attachment 1243247 [details]
File: limits

Comment 8 Michal Smolak 2017-01-22 00:31:34 UTC
Created attachment 1243248 [details]
File: maps

Comment 9 Michal Smolak 2017-01-22 00:31:35 UTC
Created attachment 1243249 [details]
File: mountinfo

Comment 10 Michal Smolak 2017-01-22 00:31:36 UTC
Created attachment 1243250 [details]
File: namespaces

Comment 11 Michal Smolak 2017-01-22 00:31:38 UTC
Created attachment 1243251 [details]
File: open_fds

Comment 12 Michal Smolak 2017-01-22 00:31:39 UTC
Created attachment 1243252 [details]
File: proc_pid_status

Comment 13 Michal Smolak 2017-01-22 00:31:40 UTC
Created attachment 1243253 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 14:07:26 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:48:27 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.